Bug 98764 - xmms crashes randomly while streaming ogg files
xmms crashes randomly while streaming ogg files
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 13:12 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 01:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2003-07-08 13:12:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.11 (X11; Linux i686; U;) Gecko/20030609

Description of problem:
xmms randomly crashes while streaming ogg files. It seems to be nptl related. If
I use export LD_ASSUME_KERNEL=2.4.19 it doesn't crash, but is real choppy when
something cpu intensive is done. I am using 2.4.20-18.9 and the latest errata glibc.

Version-Release number of selected component (if applicable):
xmms-1.2.7-21.p

How reproducible:
Sometimes

Steps to Reproduce:
1. run xmms
2. add ogg stream to the playlist
3. play ogg stream
    

Actual Results:  Randomly crashes while playing

Expected Results:  Play, give an error message, anything but crash

Additional info:
Comment 1 Bill Nottingham 2003-07-08 14:33:42 EDT
Do you have an strace or a backtrace, or both?
Comment 2 Nathan G. Grennan 2003-07-08 15:37:54 EDT
Being streamed from standard Red Hat 9 httpd 2.0.40. I have tried stopping httpd
to see if it killing the stream would crash xmms to crash, but it doesn't seem to.


gdb output:

Starting program: /usr/bin/xmms
(no debugging symbols found)...(no debugging symbols found)...[New Thread
1077067712 (LWP 28437)]
(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...
(no debugging symbols found)...[New Thread 1088564528 (LWP 28438)]
[New Thread 1116949808 (LWP 28442)]
[New Thread 1125342512 (LWP 28449)]
[New Thread 1133735216 (LWP 28450)]
[New Thread 1142127920 (LWP 28451)]
[Thread 1142127920 (zombie) exited]
[Thread 1133735216 (zombie) exited]
[Thread 1125342512 (LWP 28449) exited]
Couldn't get registers: No such process.
(gdb) backtrace
Cannot fetch general-purpose registers for thread 1077067712: generic error
(gdb)


Can't seem to get it to crash while using strace. When I suspect it would have
crashed it stops playing the song.
Comment 3 Bill Nottingham 2003-07-08 15:40:42 EDT
Can you install
http://people.redhat.com/notting/xmms-debuginfo-1.2.7-21.p.i386.rpm

and then get a backtrace?

Can you post the hung strace as well? It couldn't hurt.

Are you using any visualization plugins, or third-party plugins?
Comment 4 Nathan G. Grennan 2003-07-08 16:08:52 EDT
After installing debuginfo:

GNU gdb Red Hat Linux (5.3post-0.20021129.18rh)
Copyright 2003 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging symbols found)...
(gdb) run
Starting program: /usr/bin/xmms
[New Thread 1077067712 (LWP 19044)]
[New Thread 1088564528 (LWP 19045)]
[New Thread 1116949808 (LWP 19049)]
[New Thread 1125342512 (LWP 19054)]
[New Thread 1133735216 (LWP 19055)]
[New Thread 1142127920 (LWP 19056)]
[Thread 1142127920 (zombie) exited]
[Thread 1133735216 (zombie) exited]
[Thread 1125342512 (LWP 19054) exited]
Couldn't get registers: No such process.
(gdb) backtrace
Cannot fetch general-purpose registers for thread 1077067712: generic error
(gdb)


It doesn't hang. After a song stops playing I can turn around and start playing
again.
Comment 5 Nathan G. Grennan 2003-07-08 16:12:06 EDT
I seem to be able to consistently reproduce it.

1. gdb xmms
2. run in gdb
3. clicking on a stream in the play list andwait till it starts playing
4. quickly click on another stream
Comment 6 Nathan G. Grennan 2003-07-08 16:13:38 EDT
Doesn't work with my consitent steps if I use export LD_ASSUME_KERNEL=2.4.19
before gdb xmms.
Comment 7 Nathan G. Grennan 2004-08-20 01:37:32 EDT
Closing old bug

Note You need to log in before you can comment on or make changes to this bug.